#ifndef __REGNOTIFYUTIL_H_
#define __REGNOTIFYUTIL_H_

/* Typedefs */
typedef void (*REGISTRYNOTIFYCALLBACK)(HANDLE hRegNotify,
                                       DWORD dwUserData,
                                       const PBYTE pData,
                                       const UINT cbData);

/* Functions */
BOOL	RNUtil_Initialize();
BOOL	RNUtil_Terminate();
HRESULT
RNUtil_RegistryNotifyCallback(
	HKEY					hKey,
	LPCTSTR					pszSubKey,
	LPCTSTR					pszValueName,
	REGISTRYNOTIFYCALLBACK	pfnRegistryNotifyCallback,
	DWORD					dwUserData,
	void*					pCondition,
	HANDLE*					phRegNotify
);

HRESULT	RNUtil_RegistryCloseNotification(HANDLE	hRegNotify);

#endif